libssh: Data Fields - Variables

libssh 0.9.5 The SSH library

### - a -

- auth_function : ssh_callbacks_struct
- auth_gssapi_mic_function : ssh_server_callbacks_struct
- auth_none_function : ssh_server_callbacks_struct
- auth_password_function : ssh_server_callbacks_struct
- auth_pubkey_function : ssh_server_callbacks_struct

### - c -

- callbacks : ssh_packet_callbacks_struct
- channel_auth_agent_req_function : ssh_channel_callbacks_struct
- channel_close_function : ssh_channel_callbacks_struct
- channel_data_function : ssh_channel_callbacks_struct
- channel_env_request_function : ssh_channel_callbacks_struct
- channel_eof_function : ssh_channel_callbacks_struct
- channel_exec_request_function : ssh_channel_callbacks_struct
- channel_exit_signal_function : ssh_channel_callbacks_struct
- channel_exit_status_function : ssh_channel_callbacks_struct
- channel_open_request_auth_agent_function : ssh_callbacks_struct
- channel_open_request_session_function : ssh_server_callbacks_struct
- channel_open_request_x11_function : ssh_callbacks_struct
- channel_pty_request_function : ssh_channel_callbacks_struct
- channel_pty_window_change_function : ssh_channel_callbacks_struct
- channel_shell_request_function : ssh_channel_callbacks_struct
- channel_signal_function : ssh_channel_callbacks_struct
- channel_subsystem_request_function : ssh_channel_callbacks_struct
- channel_write_wontblock_function : ssh_channel_callbacks_struct
- channel_x11_req_function : ssh_channel_callbacks_struct
- connect_status_function : ssh_callbacks_struct
- connected : ssh_socket_callbacks_struct
- controlflow : ssh_socket_callbacks_struct

### - d -

- data : ssh_socket_callbacks_struct

### - e -

- exception : ssh_socket_callbacks_struct

### - f -

- f_bavail : sftp_statvfs_struct
- f_bfree : sftp_statvfs_struct
- f_blocks : sftp_statvfs_struct
- f_favail : sftp_statvfs_struct
- f_ffree : sftp_statvfs_struct
- f_files : sftp_statvfs_struct
- f_flag : sftp_statvfs_struct
- f_frsize : sftp_statvfs_struct
- f_fsid : sftp_statvfs_struct
- f_namemax : sftp_statvfs_struct

### - g -

- global_request_function : ssh_callbacks_struct
- gssapi_accept_sec_ctx_function : ssh_server_callbacks_struct
- gssapi_select_oid_function : ssh_server_callbacks_struct

### - i -

- incoming_connection : ssh_bind_callbacks_struct

### - l -

- log_function : ssh_callbacks_struct

### - n -

- n_callbacks : ssh_packet_callbacks_struct

### - s -

- service_request_function : ssh_server_callbacks_struct
- size : ssh_bind_callbacks_struct , ssh_callbacks_struct , ssh_channel_callbacks_struct , ssh_server_callbacks_struct
- start : ssh_packet_callbacks_struct

### - u -

- user : ssh_packet_callbacks_struct
- userdata : ssh_callbacks_struct , ssh_channel_callbacks_struct , ssh_server_callbacks_struct , ssh_socket_callbacks_struct